summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37493 -> 37496 bytes
-rw-r--r--eclass/qt6-build.eclass10
2 files changed, 10 insertions, 0 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index e59dbee781ca..d2ac94614c2f 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/qt6-build.eclass b/eclass/qt6-build.eclass
index f92d37eba2f3..79c06f341ede 100644
--- a/eclass/qt6-build.eclass
+++ b/eclass/qt6-build.eclass
@@ -137,6 +137,16 @@ qt_feature() {
echo "-DQT_FEATURE_${2:-$1}=$(usex $1 ON OFF)"
}
+# @FUNCTION: qt6_symlink_binary_to_path
+# @USAGE: <target binary name> [suffix]
+# @DESCRIPTION:
+# Symlink a given binary from QT6_BINDIR to QT6_PREFIX/bin, with optional suffix
+qt6_symlink_binary_to_path() {
+ [[ $# -ge 1 ]] || die "${FUNCNAME}() requires at least one argument"
+
+ dosym -r "${QT6_BINDIR}"/${1} /usr/bin/${1}${2}
+}
+
###### Internal functions ######
# @FUNCTION: qt6_prepare_env